What browsers are currently supported by TransLoc?

Our products take advantage of the most powerful modern web technologies. We want to support as many modern browsers and operating systems as possible. Yet, to leverage the most powerful tools available to us, we are unable to support every user's setup. You may find that your preferred browser is not on this list, but works well with our products. For optimal performance and stability we recommend using Google Chrome. Chrome is free of charge and supports all modern OS. 

RIDER

See the list of supported browsers below. Please note that only stable versions (Version x.0) and public releases (not embedded or developer editions) are supported.

  • The latest version of Google Chrome
  • The latest version of Mozilla Firefox
  • The latest version of Microsoft Edge
  • Internet Explorer version 10.0 or later.

REALTIME

See the list of supported browsers below. Please note that only stable versions (Version x.0) and public releases (not embedded or developer editions) are supported.

  • The latest version of Google Chrome
  • The latest version of Mozilla Firefox
  • The latest version of Microsoft Edge
  • Internet Explorer version 10.0 or later.

ONDEMAND

See the list of supported browsers below. Please note that only stable versions (Version x.0) and public releases (not embedded or developer editions) are supported.

  • The latest version of Google Chrome
  • The latest version of Mozilla Firefox
  • The latest version of Microsoft Edge
  • Internet Explorer version 10.0 or later.

TRAVELER

See the list of supported browsers below. Please note that only stable versions (Version x.0) and public releases (not embedded or developer editions) are supported.

  • The latest version of Google Chrome
  • The latest version of Mozilla Firefox
  • The latest version of Microsoft Edge
  • Internet Explorer version 10.0 or later.

ARCHITECT

See the list of supported browsers below. Please note that only stable versions (Version x.0) and public releases (not embedded or developer editions) are supported.

  • The latest version of Google Chrome
  • The latest version of Mozilla Firefox
  • The latest version of Microsoft Edge
  • Internet Explorer version 10.0 or later.

Did you find this article helpful?